-module(active_sup).
-behaviour(supervisor).

-export([start_link/0, init/1]).


start_link() -> supervisor:start_link({local, ?MODULE}, ?MODULE, []).
init([]) ->
  {ok, { {one_for_one, 5, 10}, 
         [ {active, {active, start_link, []}, permanent, 5000, worker, [active]},
           {active_events, {active_events, start_link, []}, permanent, 5000, worker, [active_events]},
           {active_emakefile, {active_emakefile, start_link, []}, permanent, 5000, worker, [active_emakefile]}
         ]
  }}.

